typesqueryoptionalstring — Filter by types.
Example: locationPlace
Beladed Accounts API
Types - Get - Location Place through the reviewed Beladed Accounts contract.
/api/account/types/getcurl --request GET 'https://api.beladed.dev/api/account/types/get?types=locationPlace®ion=North+America&country=United+States&state=Texas&countryCode=US' \
--header 'Accept: application/json'const response = await fetch("https://api.beladed.dev/api/account/types/get?types=locationPlace®ion=North+America&country=United+States&state=Texas&countryCode=US", {
method: "GET",
headers: {
"Accept": "application/json"
}
});
const data = await response.json();import requests
response = requests.request(
"GET",
"https://api.beladed.dev/api/account/types/get?types=locationPlace®ion=North+America&country=United+States&state=Texas&countryCode=US",
headers={"Accept":"application/json"},
timeout=30,
)
response.raise_for_status()
data = response.json()<?php
$client = curl_init("https://api.beladed.dev/api/account/types/get?types=locationPlace®ion=North+America&country=United+States&state=Texas&countryCode=US");
curl_setopt_array($client, [
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => ["Accept: application/json"],
CURLOPT_RETURNTRANSFER => true,
]);
$response = curl_exec($client);require "net/http"
require "json"
uri = URI("https://api.beladed.dev/api/account/types/get?types=locationPlace®ion=North+America&country=United+States&state=Texas&countryCode=US")
request = Net::HTTP::Get.new(uri)
request["Accept"] = "application/json"
response = Net::HTTP.start(uri.hostname, uri.port, use_ssl: true) { |http| http.request(request) }var request = java.net.http.HttpRequest.newBuilder()
.uri(java.net.URI.create("https://api.beladed.dev/api/account/types/get?types=locationPlace®ion=North+America&country=United+States&state=Texas&countryCode=US"))
.header("Accept", "application/json")
.method("GET", java.net.http.HttpRequest.BodyPublishers.noBody())
.build();
var response = java.net.http.HttpClient.newHttpClient().send(request, java.net.http.HttpResponse.BodyHandlers.ofString());package main
import (
"bytes"
"net/http"
)
func callBeladed() (*http.Response, error) {
body := []byte("")
request, err := http.NewRequest("GET", "https://api.beladed.dev/api/account/types/get?types=locationPlace®ion=North+America&country=United+States&state=Texas&countryCode=US", bytes.NewReader(body))
if err != nil { return nil, err }
request.Header.Set("Accept", "application/json")
return http.DefaultClient.Do(request)
}using var client = new HttpClient();
using var request = new HttpRequestMessage(new HttpMethod("GET"), "https://api.beladed.dev/api/account/types/get?types=locationPlace®ion=North+America&country=United+States&state=Texas&countryCode=US");
request.Headers.TryAddWithoutValidation("Accept", "application/json");
using var response = await client.SendAsync(request);
response.EnsureSuccessStatusCode();var request = URLRequest(url: URL(string: "https://api.beladed.dev/api/account/types/get?types=locationPlace®ion=North+America&country=United+States&state=Texas&countryCode=US")!)
request.httpMethod = "GET"
request.setValue("application/json", forHTTPHeaderField: "Accept")
let (data, response) = try await URLSession.shared.data(for: request)val request = okhttp3.Request.Builder()
.url("https://api.beladed.dev/api/account/types/get?types=locationPlace®ion=North+America&country=United+States&state=Texas&countryCode=US")
.addHeader("Accept", "application/json")
.method("GET", null)
.build()
val response = okhttp3.OkHttpClient().newCall(request).execute()
typesqueryoptionalstring — Filter by types.
Example: locationPlace
regionqueryoptionalstring — Filter by region.
Example: North America
countryqueryoptionalstring — Filter by country.
Example: United States
statequeryoptionalstring — Filter by state.
Example: Texas
countryCodequeryoptionalstring — Filter by countryCode.
Example: US
No body is required.
{
"type": "object",
"properties": {
"data": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"status": {
"type": "string"
}
}
},
"requestId": {
"type": "string"
}
}
}{
"data": {
"id": "id_demo_001",
"status": "available"
},
"requestId": "req_demo_001"
}
invalid_requestThe request did not satisfy the documented contract.
not_foundThe requested public or account-owned resource was not found.
rate_limitedRetry after the current product limit resets.
This operation is published from reviewed repository contracts. Source metadata is included for traceability without exposing internal implementation details.